package com.dbnt.kcscbackend.admin.users.service;

import com.dbnt.kcscbackend.admin.users.mapper.AdminUsersMapper;
import com.dbnt.kcscbackend.auth.entity.UserInfo;
import com.dbnt.kcscbackend.auth.repository.UserInfoRepository;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
@RequiredArgsConstructor
public class AdminUsersService {

  private final UserInfoRepository userInfoRepository;
  private final AdminUsersMapper usersMapper;

  public List<UserInfo> selectUserList(UserInfo params) {
    return usersMapper.selectUserList(params);
  }

  public Integer selectUserListCnt(UserInfo params) {
    return usersMapper.selectUserListCnt(params);
  }
}
